OCI-Lob::truncate
OCI-Lob::writeTemporary
OCI-Lob
PHP Manual

# OCI-Lob::write

(PHP 5, PECL OCI8 >= 1.1.0)

OCI-Lob::write — Writes data to the large object

### Description

int OCI-Lob::write ( string `$data` [, int `$length` ] )

Writes data from the parameter `data` into the current position of LOB's internal pointer.

### Parameters

`data`

  The data to write in the LOB.

`length`

  If this parameter is given, writing will stop after `length` bytes have been written or the end of `data` is reached, whichever comes first.

### Return Values

Returns the number of bytes written or `FALSE` on failure.

### See Also

- OCI-Lob::read

OCI-Lob::truncate
OCI-Lob::writeTemporary
OCI-Lob
PHP Manual